Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 2833)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/commands/OpenWelcomePage.java	(revision 2834)
@@ -27,9 +27,6 @@
 //
 package org.txm.rcp.commands;
 
-import java.io.IOException;
-import java.net.MalformedURLException;
-import java.net.URL;
 import java.util.Locale;
 
 import org.eclipse.core.commands.AbstractHandler;
@@ -37,7 +34,6 @@
 import org.eclipse.core.commands.ExecutionException;
 import org.eclipse.core.runtime.Platform;
 import org.txm.rcp.Activator;
-import org.txm.utils.logger.Log;
 
 /**
  * Open the internal browser of TXM with a file
@@ -49,7 +45,7 @@
 	/** The Constant ID. */
 	public final static String ID = "org.txm.rcp.commands.OpenWelcomePage"; //$NON-NLS-1$
 	
-	public static String WELCOME = "https://txm.gitpages.huma-num.fr/textometrie/";
+	public static String WELCOME = "https://pages.textometrie.org/textometrie/files/software/TXM/";
 	
 	/*
 	 * (non-Javadoc)
@@ -62,37 +58,11 @@
 	
 	public static boolean openWelcomePage() {
 		
-		try { // ensure network is enable
-			URL url = new URL(WELCOME+"index.html");
-			url.openStream().close();
-		}
-		catch (Exception e) {
-			return false;
-		}
-		
 		String locale = Locale.getDefault().getLanguage();
-		String version = Platform.getBundle(Activator.PLUGIN_ID).getVersion().toString();
+		String version = Platform.getBundle(Activator.PLUGIN_ID).getVersion().toString()+"beta";
 		int idx = version.lastIndexOf("."); //$NON-NLS-1$
 		if (idx > 0) version = version.substring(0, idx); // remove the "qualifier" part
 		
-		String urlString = WELCOME + locale;
-		try {
-			URL url = new URL(urlString);
-			try {
-				url.openStream().close();
-			}
-			catch (IOException e) {
-				Log.finer(e.getMessage());
-				// Log.printStackTrace(e);
-				urlString = WELCOME;
-				url = new URL(urlString);
-			}
-			return OpenBrowser.openfile(urlString) != null;
-		}
-		catch (MalformedURLException e) {
-			Log.severe(e.getMessage());
-			Log.printStackTrace(e);
-			return false;
-		}
+		return OpenBrowser.openfile(OpenLocalizedWebPage.getValidURL(WELCOME+version+"/"+locale, (WELCOME+version))) != null;
 	}
 }
Index: tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java
===================================================================
--- tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java	(revision 2833)
+++ tmp/org.txm.rcp/src/main/java/org/txm/rcp/swt/dialog/CGUMessageDialog.java	(revision 2834)
@@ -1,12 +1,9 @@
 package org.txm.rcp.swt.dialog;
 
-import java.io.IOException;
 import java.net.URI;
-import java.net.URISyntaxException;
 
 import org.eclipse.jface.dialogs.Dialog;
 import org.eclipse.jface.window.Window;
-import org.eclipse.osgi.util.NLS;
 import org.eclipse.swt.SWT;
 import org.eclipse.swt.events.MouseEvent;
 import org.eclipse.swt.events.MouseListener;
@@ -23,13 +20,10 @@
 import org.eclipse.swt.widgets.Display;
 import org.eclipse.swt.widgets.ExpandBar;
 import org.eclipse.swt.widgets.ExpandItem;
-import org.eclipse.swt.widgets.Group;
 import org.eclipse.swt.widgets.Label;
 import org.eclipse.swt.widgets.Shell;
-import org.eclipse.swt.widgets.Text;
 import org.eclipse.ui.internal.ide.ChooseWorkspaceData;
 import org.txm.rcp.IImageKeys;
-import org.txm.rcp.commands.OpenBrowser;
 import org.txm.rcp.messages.TXMUIMessages;
 import org.txm.rcp.swt.SelectDirectoryWidget;
 
@@ -159,7 +153,11 @@
 		GridData gdata = new GridData(GridData.FILL, GridData.FILL, true, true);
 		bar.setLayoutData(gdata);
 		
-		w = new SelectDirectoryWidget(bar, SWT.NONE, launchData.getInitialDefault(), TXMUIMessages.selectWorkingDirectory);
+		String defaultPath = System.getProperty("user.home")+"/TXM";
+		if (launchData != null) {
+			defaultPath = launchData.getInitialDefault();
+		}
+		w = new SelectDirectoryWidget(bar, SWT.NONE, defaultPath, TXMUIMessages.selectWorkingDirectory);
 		//w.setLayoutData(new GridData(GridData.FILL, GridData.BEGINNING, true, false));
 		
 		// "Options"
@@ -195,8 +193,11 @@
 	@Override
 	protected void buttonPressed(int buttonId) {
 		checked = checkMessageButton.getSelection();
-		launchData.workspaceSelected(w.getPath());
+		if (launchData != null) {
+			launchData.workspaceSelected(w.getPath());
+		}
 		super.buttonPressed(buttonId);
+		
 	}
 
 	public boolean hasCheckBeenPressed() {
@@ -207,18 +208,11 @@
 	}
 
 	public static void main(String[] args) {
-//		CGUMessageDialog dialog = new CGUMessageDialog(Display.getDefault().getActiveShell());
-//		/**
-//		 * CGUMessageDialog dialog = new CGUMessageDialog(Display.getCurrent().getActiveShell(), 
-//					TXMUIMessages.termsOfService, 
-//					IImageKeys.getImage(IImageKeys.TXM_ICON), 
-//					TXMUIMessages.infpSupTXMIsPublishedUnderTheGNUGPL2LicenseAmpltInfaHrefEqualshttpsColonwwwgnuorglicensesgpl20enhtmlSuphttpsColonwwwgnuorglicensesgpl20enhtmlInfaSupAmpgt,
-//					IImageKeys.getImage(IImageKeys.TXM), 
-//					TXMUIMessages.iAcceptTheLicenceAndIUndertakeToCiteTXMForAcknowledgingMyUseOfTXMInMyResearchWorkSeeTheCitationSectionOfTheInfhttpColontextometrieenslyonfrspipphprubrique61SupPage, 
-//					dialogButtonLabels, 0) {
-//			};
-//		 */
-//		dialog.open();
+		System.out.println("Opening CGU dialog...");
+		Display display = new Display();
+	    Shell shell = new Shell(display);
+		CGUMessageDialog dialog = new CGUMessageDialog(shell, null);
+		dialog.open();
 	}
 
 	//	protected Control createMessageArea(Composite composite) {
